Page MenuHomePhabricator

Engineering Community quarterly review January - March 2015
Closed, ResolvedPublic

Description

This is the Developer-Advocacy quarterly review for January-March 2015

Summary

ObjectiveImpact on goalDependencyETAStatus
MediaWiki Developer SummitT76506: Coordinate 2015 MediaWiki Developer SummitEngineering & Product Management: main themes, budget, contract approvals.2015-01 A success, according to the participants' survey and our lessons learned.
Data & developer hubT308: A single Developer Hub plan agreed and documentedDesign: agree on plan for Blueprint skin. MediaWiki Core: agree on plan for API sandboxes. Various stakeholders: agree on plan versus doc.wikimedia.org.2015-03 We focused on prototyping first. We have a broad plan that needs to be written down and checked with the stakeholders.
Phabricator migrationT94265: Goal: Consolidate Phabricator as project management toolRelease Engineering: fixing bugs in our local extensions. Operations: deploying updates.2015-03 Good progress overall. Some teams still using Trello. Scarcity of maintenance resources.
Engage with established technical communitiesT96013: Identify Wikimedia's top technical partnersNone2015-06 Not started.

Success

After organizing the MediaWiki Developer Summit successfully, @Rfarrand compiled our lessons learned with recommendations for the next edition that are being integrated in ECT's future event plans and the 2015-16 budget ask (i.e. 3 days event instead of 2).

@Spage joined our team in January and broke the vicious circle of theoretical discussions around the Data & Developer Hub by putting together a prototype with real content. This is forcing stakeholders and open tasks to be more specific and less opinionated.

S Page volunteered a Trello - Phabricator migration script, and he has driven the migrations of the Collaboration and former Growth teams, extending an offer to the remaining teams using Trello.

Miss

@Rfarrand and @Qgil struggled getting clear objectives and main themes with Engineering and Product management, and we were late when announcing the basic plan to our developers. Correction: ECT to own budget and organization of the Summit and hackathons, starting public planning sooner.

@Spage has been contacting the right people in Core, Design, and other areas in order to obtain quick tactical progress with the Data and Developer Hub. However, the lack of a written plan and formally agreed dependencies keeps the resourcing of this important project out of the official plans of these teams. Correction: agree the plan with these teams, including committed resourcing.

@Qgil had proposed 20% Phabricator maintenance time for @chasemp (Ops) and @mmodell (RelEng), but didn't follow up for confirmation. While Chase agreed this time with his team, Mukunda has been totally invested in RelEng work. Correction: transfer Phabricator ownership to Greg Grossmeier (RelEng).

Other remarkable results

See also: T93770: Engineering Community quarterly goals for April-June 2015

Related Objects

Event Timeline

Qgil created this task.Mar 27 2015, 1:19 PM
Qgil claimed this task.
Qgil raised the priority of this task from to High.
Qgil updated the task description. (Show Details)
Qgil added a subscriber: Qgil.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 27 2015, 1:19 PM
Qgil updated the task description. (Show Details)Mar 27 2015, 2:12 PM
Qgil set Security to None.
Qgil updated the task description. (Show Details)Mar 27 2015, 9:48 PM
Qgil updated the task description. (Show Details)Mar 27 2015, 10:01 PM
Qgil updated the task description. (Show Details)Apr 15 2015, 3:32 PM
Qgil updated the task description. (Show Details)
Qgil updated the task description. (Show Details)Apr 15 2015, 3:38 PM
Qgil added subscribers: mmodell, chasemp.
Qgil updated the task description. (Show Details)Apr 15 2015, 3:57 PM

@Rfarrand, @Spage, @Aklapper, I think I'm done with the review. Please check the description to see if there is any remarkable result not related with tasks mentioned there that should be listed as well.

LGTM, thanks! Could in theory add T76721: Prepare FOSDEM talk about Wikimedia's move to Phabricator?
One typo: You probably did not want to list T86339 but T86639 so I corrected that.

Aklapper updated the task description. (Show Details)Apr 15 2015, 4:18 PM
Qgil updated the task description. (Show Details)Apr 15 2015, 5:00 PM

... and done!

I will link here to minutes and slides when they are published. The main piece of feedback we got from from Lila (not an exact quote):

You need to present top-level KPIs for ECT, for instance the number of developers engaged and contributing code, the number of patches submitted and accepted... this kind of data.

My reply was that yes, we know, this time we have only presented basic numbers about Phabricator usage, but one of the goals for the next quarter is T94578: Most basic Tech Community metrics are published and up to date and it is committed by the end of June, so we plan to present these metrics in the next quarterly review.

Qgil closed this task as Resolved.Apr 15 2015, 8:43 PM

Fair. I have no idea what the resourcing for this will be, with Erik's departure, I'm afraid :(

Qgil moved this task from Backlog to Doing on the ECT-April-2015 board.Apr 27 2015, 7:40 AM